Bug 1553893 - vdsm should not report errors about guest agent [NEEDINFO]
Summary: vdsm should not report errors about guest agent
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: vdsm
Classification: oVirt
Component: General
Version: 4.20.19
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ---
: ---
Assignee: Dan Kenigsberg
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-09 19:36 UTC by Dafna Ron
Modified: 2019-01-03 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 12:49:54 UTC
oVirt Team: Virt
michal.skrivanek: needinfo? (dron)
dron: planning_ack?
dron: devel_ack?
dron: testing_ack?


Attachments (Terms of Use)

Description Dafna Ron 2018-03-09 19:36:32 UTC
We discovered the issue in OST. the vm starts with no guest agent and we can see errors in vdsm. 
vdsm should not report that as an error since it does not know if gues agent is installed. 


Error snippet from engine:

2018-03-04 09:50:14,823-05 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ForkJoinPool-1-worker-12) [] EVENT_ID: VM_DOWN_ERROR(119), VM vm2 is down with error. Exit message: Lost connection with qemu process.


Error snippet from host:

Mar  4 09:56:27 lago-basic-suite-4-2-host-1 libvirtd: 2018-03-04 14:56:27.831+0000: 1189: error : qemuDomainAgentAvailable:6010 : Guest agent is not responding: QEMU guest agent is not connected


You can see logs here: http://jenkins.ovirt.org/job/ovirt-4.2_change-queue-tester/1019/artifact/

Comment 1 Michal Skrivanek 2018-03-10 06:22:48 UTC
Those 2 errors do not seem related. 

Which log?

Comment 2 Ryan Barry 2019-01-03 12:49:54 UTC
This will not be addressed in a reasonable timeframe. Please re-open if it's still important.


Note You need to log in before you can comment on or make changes to this bug.